path: /build/build/pycairo-dev-python-1.17.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/pycairo -pv -t && \
    USE="-doc -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pycairo
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pycairo && luet-portage --dir /pkgdir/pycairo
    dev-python/pycairo && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e984efab82240fc5a4ad73932a3307f3d6063a97d91255e18a8b3fcd3cba9f93
  package:
    id: 0
    name: pycairo
    version: 1.17.0+1
    category: dev-python
    useflags:
    - -doc
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    state: ""
    packagerequires:
    - id: 0
      name: libgusb
      version: '>=0'
      category: dev-libs
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: Python bindings for the cairo library
    uri:
    - https://www.cairographics.org/pycairo/ https://github.com/pygobject/pycairo
    license: '|| ( LGPL-2.1 MPL-1.1 )'
    buildtimestamp: 2023-11-29 21:07:07.895989065 +0000 UTC m=+91.414393082
    labels:
      DEPEND: '>=x11-libs/cairo-1.16.0[svg] doc? ( dev-python/sphinx ) test? ( dev-python/pytest[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        dev-python/hypothesis[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        ) python_targets_python3_7? ( dev-lang/python:3.7[threads(+)] ) python_targets_python3_9?
        ( dev-lang/python:3.9[threads(+)] ) python_targets_python3_8? ( dev-lang/python:3.8[threads(+)]
        ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)] )
        python_targets_python3_10? ( dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
      IUSE: doc examples test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python2_7 python_targets_python3_10
      RDEPEND: '>=x11-libs/cairo-1.16.0[svg] python_targets_python3_7? ( dev-lang/python:3.7[threads(+)]
        ) python_targets_python3_9? ( dev-lang/python:3.9[threads(+)] ) python_targets_python3_8?
        ( dev-lang/python:3.8[threads(+)] ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
        ) python_targets_python3_10? ( dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
      emerge.packages: dev-python/pycairo
      kit: gnome-kit
      original.package.name: dev-python/pycairo
      original.package.slot: "0"
      original.package.version: 1.17.0-r1
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/pycairo
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bd928e886e41d073767c34467c49e330f768b88c6b765f47042078b29cac539c
compressiontype: zstd
files:
- usr/include/pycairo/py3cairo.h
- usr/lib/python3.9/site-packages/cairo/__init__.py
- usr/lib/python3.9/site-packages/cairo/__init__.pyi
- usr/lib/python3.9/site-packages/cairo/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/cairo/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/cairo/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/cairo/_cairo.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/cairo/include/py3cairo.h
- usr/lib/python3.9/site-packages/cairo/py.typed
- usr/lib/python3.9/site-packages/pycairo-1.17.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/pycairo-1.17.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/pycairo-1.17.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/pycairo-1.17.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/pycairo-1.17.0-py3.9.egg-info/top_level.txt
- usr/lib64/pkgconfig/py3cairo.pc
- usr/share/doc/pycairo-1.17.0-r1/NEWS.bz2
- usr/share/doc/pycairo-1.17.0-r1/README.rst.bz2
- var/db/pkg/dev-python/pycairo-1.17.0-r1/BUILD_TIME
- var/db/pkg/dev-python/pycairo-1.17.0-r1/CATEGORY
- var/db/pkg/dev-python/pycairo-1.17.0-r1/CBUILD
- var/db/pkg/dev-python/pycairo-1.17.0-r1/CFLAGS
- var/db/pkg/dev-python/pycairo-1.17.0-r1/CHOST
- var/db/pkg/dev-python/pycairo-1.17.0-r1/CONTENTS
- var/db/pkg/dev-python/pycairo-1.17.0-r1/COUNTER
- var/db/pkg/dev-python/pycairo-1.17.0-r1/CXXFLAGS
- var/db/pkg/dev-python/pycairo-1.17.0-r1/DEFINED_PHASES
- var/db/pkg/dev-python/pycairo-1.17.0-r1/DEPEND
- var/db/pkg/dev-python/pycairo-1.17.0-r1/DESCRIPTION
- var/db/pkg/dev-python/pycairo-1.17.0-r1/EAPI
- var/db/pkg/dev-python/pycairo-1.17.0-r1/FEATURES
- var/db/pkg/dev-python/pycairo-1.17.0-r1/HOMEPAGE
- var/db/pkg/dev-python/pycairo-1.17.0-r1/INHERITED
- var/db/pkg/dev-python/pycairo-1.17.0-r1/IUSE
- var/db/pkg/dev-python/pycairo-1.17.0-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pycairo-1.17.0-r1/KEYWORDS
- var/db/pkg/dev-python/pycairo-1.17.0-r1/LDFLAGS
- var/db/pkg/dev-python/pycairo-1.17.0-r1/LICENSE
- var/db/pkg/dev-python/pycairo-1.17.0-r1/NEEDED
- var/db/pkg/dev-python/pycairo-1.17.0-r1/PF
- var/db/pkg/dev-python/pycairo-1.17.0-r1/PROVIDES
- var/db/pkg/dev-python/pycairo-1.17.0-r1/RDEPEND
- var/db/pkg/dev-python/pycairo-1.17.0-r1/REQUIRES
- var/db/pkg/dev-python/pycairo-1.17.0-r1/SIZE
- var/db/pkg/dev-python/pycairo-1.17.0-r1/SLOT
- var/db/pkg/dev-python/pycairo-1.17.0-r1/USE
- var/db/pkg/dev-python/pycairo-1.17.0-r1/environment.bz2
- var/db/pkg/dev-python/pycairo-1.17.0-r1/pycairo-1.17.0-r1.ebuild
- var/db/pkg/dev-python/pycairo-1.17.0-r1/repository
package_cacheimage: ""
runtime:
  id: 0
  name: pycairo
  version: 1.17.0+1
  category: dev-python
  useflags:
  - -doc
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  state: ""
  packagerequires:
  - id: 0
    name: python
    version: '>=0'
    category: dev-lang-3.9
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: python-exec
    version: '>=0'
    category: dev-lang-2
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: cairo
    version: '>=0'
    category: x11-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: Python bindings for the cairo library
  uri:
  - https://www.cairographics.org/pycairo/ https://github.com/pygobject/pycairo
  license: '|| ( LGPL-2.1 MPL-1.1 )'
  buildtimestamp: ""
  labels:
    DEPEND: '>=x11-libs/cairo-1.16.0[svg] doc? ( dev-python/sphinx ) test? ( dev-python/pytest[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      dev-python/hypothesis[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      ) python_targets_python3_7? ( dev-lang/python:3.7[threads(+)] ) python_targets_python3_9?
      ( dev-lang/python:3.9[threads(+)] ) python_targets_python3_8? ( dev-lang/python:3.8[threads(+)]
      ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)] ) python_targets_python3_10?
      ( dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
    IUSE: doc examples test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: '>=x11-libs/cairo-1.16.0[svg] python_targets_python3_7? ( dev-lang/python:3.7[threads(+)]
      ) python_targets_python3_9? ( dev-lang/python:3.9[threads(+)] ) python_targets_python3_8?
      ( dev-lang/python:3.8[threads(+)] ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
      ) python_targets_python3_10? ( dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
    emerge.packages: dev-python/pycairo
    kit: gnome-kit
    original.package.name: dev-python/pycairo
    original.package.slot: "0"
    original.package.version: 1.17.0-r1
  treedir: ""
  repository: ""
